# Changelog

## 2025-04-28 - 1.0.21 - fix(metadata)
Update repository, package, and branding details to reflect new project ownership and naming

- Changed author in package.json from 'Lossless GmbH' to 'Task Venture Capital GmbH'
- Updated repository URL, issues URL, and homepage in package.json
- Revised npmextra.json with updated githost, gitscope, npmPackagename, and projectDomain
- Updated readme.md to replace '@mojoio/letterxpress' with '@apiclient.xyz/letterxpress' and adjust corresponding links
- Replaced old license file with new license.md reflecting updated copyright information

## 2025-03-15 - 1.0.20 - fix(letterxpress)
Update dependencies, adjust PDF generation parameters, and remove obsolete CI configuration

- Updated @push.rocks/smartbuffer from ^2.0.1 to ^3.0.4
- Updated @tsclass/tsclass from ^4.0.54 to ^5.0.0
- Updated @types/node from ^20.12.7 to ^22.13.10
- Changed dees-document import path to use the 'node' entry point
- Modified sendLetter to pass an object with letterData and documentSettings to createPdfFromLetterObject
- Removed obsolete .gitlab-ci.yml file

## 2024-04-17 - 1.0.18 - core
fix(core): update

- Core module updated.

## 2024-02-19 - 1.0.17 - core
fix(core): update

- Core module updated.

## 2024-02-17 - 1.0.16 - core
fix(core): update

- Core module updated.

## 2024-02-16 - 1.0.15 - core
fix(core): update

- Core module updated.

## 2022-06-29 - 1.0.14 - core
fix(core): update

- Core module update applied.

## 2022-06-16 - 1.0.13 - core
fix(core): update

- Core module update applied.

## 2022-06-16 - 1.0.12 - core
fix(core): update

- Core module update applied.

## 2022-06-16 - 1.0.11 - core
fix(core): update

- Core module update applied.

## 2019-11-22 - 1.0.10 - build
fix(build): now including all necessary types

- Included all necessary type definitions in the build process.

## 2019-11-22 - 1.0.09 - security
fix(security): update snyk

- Updated snyk for improved security.

## 2019-11-22 - 1.0.08 - core
fix(core): update

- Core module updated.

## 2019-11-21 - 1.0.07 - core
fix(core): update

- Core module updated.

## 2019-11-18 - 1.0.06 - readme
fix(readme): show how to instantiate account

- Updated documentation to show how to instantiate an account.

## 2019-11-18 - 1.0.05 - readme
fix(readme): add links to documentation

- Added links to documentation in the readme.

## 2019-11-18 - 1.0.04 - test
fix(test): add first account test

- Added the first account test.

## 2019-11-18 - 1.0.03 - core
fix(core): update

- Core module updated.

## 2019-11-16 - 1.0.02 - core
fix(core): update

- Core module updated.

## 2019-11-13 - 1.0.01 - core
fix(core): update

- Core module updated.

## Other versions (omitted)
The following version(s) included only version bump commits without additional changes: 1.0.19.