# @apiclient.xyz/letterxpress
an unofficial API package for the letterxpress API

## Availability and Links
* [npm package](https://www.npmjs.com/package/@apiclient.xyz/letterxpress)
* [Source code (Code.Foss.Global)](https://code.foss.global/apiclient.xyz/letterxpress)
* [Issue tracker](https://code.foss.global/apiclient.xyz/letterxpress/issues)


## Usage

Use TypeScript for best in class intellisense.

letterxpress implements the LXP API documented here: [LXP API Documentation](https://www.letterxpress.de/briefe-uebertragen/api)

```typescript
import * as letterxpress from '@apiclient.xyz/letterxpress';

const account = new letterxpress.LetterXpressAccount({
  email: 'myemail@example.com',
  apiToken: 'abcdefghijklmnop1234567890',
});
```

## Contributing

Contributions, bug reports, and feature requests are welcome! Please open an issue or submit a pull request at [Code.Foss.Global](https://code.foss.global/apiclient.xyz/letterxpress/issues).

> MIT licensed | © Task Venture Capital GmbH
